package samba 2:4.5.8+dfsg-0ubuntu0.17.04.4 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

Bug #1710367 reported by John on 2017-08-12
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
samba (Ubuntu)
Undecided
Unassigned

Bug Description

nmbd.service - Samba NMB Daemon
   Loaded: loaded (/lib/systemd/system/nmbd.service; enabled; vendor preset: enabled)
   Active: failed (Result: timeout) since Sat 2017-08-12 15:53:44 EEST; 15ms ago

systemd[1]: Failed to start Samba NMB Daemon

Errors were encountered while processing:
 samba
E: Sub-process /usr/bin/dpkg returned an error code (1)

Ubuntu 17.04 64-bit

samba:
  Installed: 2:4.5.8+dfsg-0ubuntu0.17.04.4
  Candidate: 2:4.5.8+dfsg-0ubuntu0.17.04.4
  Version table:
 *** 2:4.5.8+dfsg-0ubuntu0.17.04.4 500
        500 http://archive.ubuntu.com/ubuntu zesty-updates/main amd64 Packages
        500 http://archive.ubuntu.com/ubuntu zesty-security/main amd64 Packages
        100 /var/lib/dpkg/status
     2:4.5.4+dfsg-1ubuntu2 500
        500 http://archive.ubuntu.com/ubuntu zesty/main amd64 Packages

SAMBA DOES NOT WORK AND NMBD DOES NOT INSTALL

ProblemType: Package
DistroRelease: Ubuntu 17.04
Package: samba 2:4.5.8+dfsg-0ubuntu0.17.04.4
ProcVersionSignature: Ubuntu 4.10.0-32.36-generic 4.10.17
Uname: Linux 4.10.0-32-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia
ApportVersion: 2.20.4-0ubuntu4.5
Architecture: amd64
Date: Sat Aug 12 15:48:42 2017
ErrorMessage: subprocess installed post-installation script returned error exit status 1
InstallationDate: Installed on 2017-08-07 (4 days ago)
InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
RelatedPackageVersions:
 nautilus 1:3.20.4-0ubuntu2
 gvfs 1.30.4-0ubuntu1
SambaClientRegression: Yes
SourcePackage: samba
Title: package samba 2:4.5.8+dfsg-0ubuntu0.17.04.4 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1
UpgradeStatus: No upgrade log present (probably fresh install)

John (0-john-g) wrote :
Andreas Hasenack (ahasenack) wrote :

Hello,

thanks for filing this bug in Ubuntu.

The attached log files show this error when starting nmbd:
   Status: "nmbd: No local IPv4 non-loopback interfaces available, waiting for interface ..."

Could you please attach the following files to this bug report:
- /etc/samba/smb.conf
- /var/log/samba/log* (multiple files)

Also, after you have booted your system and logged in and have network access, could you please run these commands and show their output:

sudo apt update
sudo apt -f install

Thanks

Changed in samba (Ubuntu):
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for samba (Ubuntu) because there has been no activity for 60 days.]

Changed in samba (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers